#include<bits/stdc++.h>
using namespace  std;
#define ll long long int
#define pb push_back 
#define IShowSpeed ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
const int N=3e5+100;
const int mod=1e9+7;
ll h[N];

int main()
{
	ll n,k;
	vector<ll>v;
	map<ll,ll>m={};
	cin>>n>>k;
	for(int i=0;i<k;i++)
	{
		cin>>h[i];
		m[h[i]]++;
	}
	for(int i=0;i<k;i++) if(m[h[i]]>=n) m[h[i]]=0ll,v.pb(h[i]);
	cout<<v.size()<<"\n";
	for(int i=0;i<v.size();i++) cout<<v[i]<<" ";
}